libbladeRF: bladerf_lms_dc_cals Struct Reference

| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Data Fields
bladerf_lms_dc_cals Struct Reference
bladeRF1-specific API » Low-level accessors

## Description

This structure is used to directly apply DC calibration register values to the LMS, rather than use the values resulting from an auto-calibration.

A value < 0 is used to denote that the specified value should not be written. If a value is to be written, it will be truncated to 8-bits.

Definition at line 1518 of file bladeRF1.h.

`#include <bladeRF1.h>`

## Data Fields
int16_t | lpf_tuning
int16_t | tx_lpf_i
int16_t | tx_lpf_q
int16_t | rx_lpf_i
int16_t | rx_lpf_q
int16_t | dc_ref
int16_t | rxvga2a_i
int16_t | rxvga2a_q
int16_t | rxvga2b_i
int16_t | rxvga2b_q

## Field Documentation

## ◆ dc_ref

int16_t dc_ref

RX VGA2 DC reference module

Definition at line 1524 of file bladeRF1.h.

## ◆ lpf_tuning

int16_t lpf_tuning

LPF tuning module

Definition at line 1519 of file bladeRF1.h.

## ◆ rx_lpf_i

int16_t rx_lpf_i

RX LPF I filter

Definition at line 1522 of file bladeRF1.h.

## ◆ rx_lpf_q

int16_t rx_lpf_q

RX LPF Q filter

Definition at line 1523 of file bladeRF1.h.

## ◆ rxvga2a_i

int16_t rxvga2a_i

RX VGA2, I channel of first gain stage

Definition at line 1525 of file bladeRF1.h.

## ◆ rxvga2a_q

int16_t rxvga2a_q

RX VGA2, Q channel of first gain stage

Definition at line 1526 of file bladeRF1.h.

## ◆ rxvga2b_i

int16_t rxvga2b_i

RX VGA2, I channel of second gain stage

Definition at line 1527 of file bladeRF1.h.

## ◆ rxvga2b_q

int16_t rxvga2b_q

RX VGA2, Q channel of second gain stage

Definition at line 1528 of file bladeRF1.h.

## ◆ tx_lpf_i

int16_t tx_lpf_i

TX LPF I filter

Definition at line 1520 of file bladeRF1.h.

## ◆ tx_lpf_q

int16_t tx_lpf_q

TX LPF Q filter

Definition at line 1521 of file bladeRF1.h.

The documentation for this struct was generated from the following file:

- bladeRF1.h